POSTtransaction_entry

XRP Ledger Mainnethttps://xrpl-mainnet.nodit.io/

Returns a single transaction from a specific ledger version. Unlike tx, the target ledger version must be specified, and an error is returned when the transaction is not in it.

Request Body
methodstringrequired
tx_hashstringrequired

The hash of the transaction to look up.

ledger_hashstring

The hash of the ledger version to use. Pass a 32-byte hex string.

ledger_indexinteger

Specifies the ledger version to use. Pass a ledger index as an integer, or use one of the shortcut strings below.

  • validated: Uses the most recent ledger version validated by the network.
  • closed: Uses the most recent ledger version the server has closed. It may not be validated.
  • current: Uses the in-progress ledger version the server is currently building.

The ledger index of the version to use.

Responses
hashstring

The unique hash that identifies the transaction.

ledger_indexinteger

The ledger index where the transaction was found.

ledger_hashstring

The hash of the ledger version used.

close_time_isostring

The time the ledger containing the transaction closed, in ISO 8601 format.

tx_jsonobject

The transaction data.

metaobject

The metadata describing the results of the transaction.

validatedboolean

Whether the response was derived from a validated ledger version.

X-API-KEY
RequestCU15
cURL
curl -X POST "https://xrpl-mainnet.nodit.io/" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "method": "transaction_entry",
  "params": [
    {
      "tx_hash": "E08D6E9754025BA2534A78707605E0601F03ACE063687A0CA1BDDACFCD1698C7",
      "ledger_index": "validated"
    }
  ]
}'
Response
Example · 200
{
  "result": {
    "close_time_iso": "2026-09-02T04:00:00Z",
    "hash": "E08D6E9754025BA2534A78707605E0601F03ACE063687A0CA1BDDACFCD1698C7",
    "ledger_hash": "17ACB57A0F73B5160713E81FE72B2AC9F6064541004E272BD09F257D57C30C02",
    "ledger_index": 98765000,
    "meta": {
      "TransactionIndex": 3,
      "TransactionResult": "tesSUCCESS",
      "delivered_amount": "1000000"
    },
    "tx_json": {
      "Account": "r9cZA1mLK5R5Am25ArfXFmqgNwjZgnfk59",
      "Amount": "1000000",
      "Destination": "rMwjYedjc7qqtKYVLiAccJSmCwih4LnE2q",
      "Fee": "12",
      "Sequence": 41,
      "TransactionType": "Payment"
    },
    "validated": true
  }
}